> ## Documentation Index
> Fetch the complete documentation index at: https://docs.musixmatch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# track.lyrics.fingerprint.post

> Detect potential copyrighted lyrics within any text string and retrieve a ranked list of matching tracks.

export const PlanIndicator = ({children, plan = []}) => {
  const plans = {
    basic: {
      label: 'Basic',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=basic_button'
    },
    scale: {
      label: 'Grow',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=grow_button'
    },
    scaleNew: {
      label: 'Scale',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=scale_button'
    },
    enterprise: {
      label: 'Enterprise',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=enterprise_button'
    }
  };
  const icon = <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="#131313" viewBox="0 0 24 24">
      <path fillRule="evenodd" d="M13.804 3.773a.75.75 0 0 1 .911.543l1.012 4a.75.75 0 0 1-.003.382l-3.013 11a.75.75 0 0 1-1.448-.006l-2.908-11a.75.75 0 0 1-.007-.358l.909-4a.75.75 0 1 1 1.463.332l-.868 3.82 2.149 8.128 2.224-8.122-.964-3.808a.75.75 0 0 1 .543-.911Z" clipRule="evenodd" />
      <path fillRule="evenodd" d="M3.29 8.5a.75.75 0 0 1 .75-.75h16a.75.75 0 1 1 0 1.5h-16a.75.75 0 0 1-.75-.75Z" clipRule="evenodd" />
      <path fillRule="evenodd" d="M5.24 3.9a1 1 0 0 1 .8-.4h12a1 1 0 0 1 .8.4l3 4a1 1 0 0 1-.026 1.233l-9 11a1 1 0 0 1-1.548 0l-9-11A1 1 0 0 1 2.24 7.9l3-4Zm1.3 1.6L4.31 8.473l7.73 9.448 7.73-9.448L17.54 5.5h-11Z" clipRule="evenodd" />
    </svg>;
  const selectedPlans = Array.isArray(plan) ? plan : [plan];
  if (selectedPlans.length === 1 && selectedPlans[0] === 'basic') return null;
  const href = selectedPlans.length === 1 ? plans[selectedPlans[0]]?.url : 'https://www.musixmatch.com/pro/api/pricing';
  return <>
      <style>{`
        .plan-indicator-no-border {
          border: none !important;
          border-bottom: none !important;
          text-decoration: none !important;
          transition: background-color 0.2s ease;
        }
        .plan-indicator-no-border:hover {
          text-decoration: none !important;
          background-color: #E8E8E8 !important;
        }
      `}</style>
      <a href={href} title="See all Musixmatch API plans" target="_blank" className="plan-indicator-no-border inline-flex items-center gap-1 text-gray-800 px-2 py-1 rounded-lg" style={{
    backgroundColor: '#F4F4F4',
    fontSize: '14px',
    color: '#131313'
  }}>
        {icon}
        {selectedPlans.map((planKey, index) => <span key={planKey}>
            {plans[planKey]?.label}
            {index < selectedPlans.length - 1 && ', '}
          </span>)}
        {children} plan
      </a>
    </>;
};

<PlanIndicator plan={["enterprise"]} />

Use this API to screen any text for potential lyrical content.

This service is designed for digital platforms, especially those implementing generative AI, to automatically identify potential copyright concerns in user-generated content. The API supports the submission of any text string, returning a ranked list of track matches with corresponding similarity scores.


## OpenAPI

````yaml post /ws/1.1/track.lyrics.fingerprint.post
openapi: 3.0.3
info:
  title: Lyrics API
  description: >-
    These endpoints return metadata about songs and lyrics.  

    For full details, see the [API
    reference](https://docs.musixmatch.com/lyrics-api/introduction) for these
    endpoints.


    To authenticate your API requests and use the endpoints, you need to include
    your API key as a **query parameter** (`apikey`) in every call, like this:


    `GET /ws/1.1/track.get?apikey=YOUR_API_KEY`.


    In Postman, enter your API Key in the **Auth** tab, where it will be
    automatically appended to the request. **Best Practice:** Use **Postman
    Vault** to securely store your key; see the official [Postman
    documentation](https://learning.postman.com/docs/sending-requests/postman-vault/postman-vault-secrets/)
    for details.


    Always keep your API key secure and never share it publicly. If you believe
    your API key has been compromised, contact us immediately at
    `sales@musixmatch.com`.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.musixmatch.com
security:
  - apiKey: []
tags:
  - name: Matcher
    description: >-
      Match an external piece of information (like a title and artist) to a
      track in the Musixmatch catalog to retrieve its track ID, lyrics, or
      syncs.
  - name: Track
    description: >-
      Search for specific songs, and retrieve detailed information about a
      single track, including its lyrics, snippets, translations, and rich sync
      data.
  - name: Artist
    description: >-
      Search for artists, and retrieve detailed information about a specific
      artist, including their discography (albums).
  - name: Album
    description: >-
      Retrieve detailed information about a specific music album, including the
      list of tracks it contains.
  - name: Charts
    description: >-
      Retrieve top-ranking tracks and artists, typically based on country, as
      well as lists of available music genres.
  - name: Enterprise
    description: >-
      **For more details on the Enterprise integration refer to the** [official
      documentation.](https://docs.musixmatch.com/enterprise-integration/introduction)
paths:
  /ws/1.1/track.lyrics.fingerprint.post:
    post:
      tags:
        - Enterprise
      summary: track.lyrics.fingerprint.post
      description: >-
        Detect potential copyrighted lyrics within any text string and retrieve
        a ranked list of matching tracks.
      operationId: trackLyricsFingerprintPost
      parameters:
        - name: size
          in: query
          schema:
            type: string
            example: '10'
          description: >-
            Set the scope of the search to a specific number of lyric candidates
            (max 20)
        - name: limit
          in: query
          schema:
            type: string
            example: '3'
          description: >-
            Number of track items in the response (max related to the size
            param)
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    text:
                      type: string
                      example: >-
                        Was dressed to the nines And we were dancing, dancing
                        Like we're made of starlight, starlight nLike we're made
                        of starlight, starlight
            examples:
              track.lyrics.fingerprint.post:
                value:
                  data:
                    text: >-
                      Was dressed to the nines And we were dancing, dancing Like
                      we're made of starlight, starlight nLike we're made of
                      starlight, starlight
      responses:
        '200':
          description: 200 OK / 400 Bad Request / 403 Forbidden
          headers:
            Accept-Ranges:
              schema:
                type: string
                example: bytes
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Content-Length:
              schema:
                type: string
                example: '115'
            Date:
              schema:
                type: string
                example: Thu, 28 Aug 2025 10:07:08 GMT
            Vary:
              schema:
                type: string
                example: Accept-Encoding
            Via:
              schema:
                type: string
                example: 1.1 varnish
            X-Cache:
              schema:
                type: string
                example: MISS
            X-Cache-Hits:
              schema:
                type: string
                example: '0'
            X-Served-By:
              schema:
                type: string
                example: cache-iad-kjyo7100144-IAD
            X-Timer:
              schema:
                type: string
                example: S1756375628.278466,VS0,VE185
            x-mxm-api-application-id:
              schema:
                type: string
                example: '1409625731780'
            x-mxm-cache:
              schema:
                type: string
                example: no-cache
            x-mxm-header-execute-time:
              schema:
                type: string
                example: '0.048342943191528'
            x-mxm-header-hint:
              schema:
                type: string
                example: Forbidden
            x-mxm-header-status:
              schema:
                type: string
                example: '403'
            x-mxm-nginx-ingress-controller:
              schema:
                type: string
                example: nginx-cdt-apisite-api
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: object
                    properties:
                      body:
                        anyOf:
                          - type: object
                            properties:
                              track_list:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    similarity:
                                      type: number
                                      example: 99.236641221374
                                    track:
                                      type: object
                                      properties:
                                        album_coverart_100x100:
                                          type: string
                                          example: >-
                                            http://s.mxmcdn.net/images-storage/albums/nocover.png
                                        album_coverart_350x350:
                                          type: string
                                          example: ''
                                        album_coverart_500x500:
                                          type: string
                                          example: ''
                                        album_coverart_800x800:
                                          type: string
                                          example: ''
                                        album_id:
                                          type: number
                                          example: 18825722
                                        album_name:
                                          type: string
                                          example: Starlight
                                        artist_id:
                                          type: number
                                          example: 24675514
                                        artist_name:
                                          type: string
                                          example: Music Maverick
                                        commontrack_id:
                                          type: number
                                          example: 35857643
                                        commontrack_isrcs:
                                          type: array
                                          items:
                                            type: array
                                            items:
                                              type: string
                                              example: GBW371201379
                                            example:
                                              - GBW371201379
                                          example:
                                            - - GBW371201379
                                        explicit:
                                          type: number
                                          example: 0
                                        has_lyrics:
                                          type: number
                                          example: 1
                                        has_richsync:
                                          type: number
                                          example: 0
                                        has_subtitles:
                                          type: number
                                          example: 1
                                        instrumental:
                                          type: number
                                          example: 0
                                        num_favourite:
                                          type: number
                                          example: 0
                                        primary_genres:
                                          type: object
                                          properties:
                                            music_genre_list:
                                              type: array
                                              items:
                                                type: object
                                                properties:
                                                  music_genre:
                                                    type: object
                                                    properties:
                                                      music_genre_id:
                                                        type: number
                                                        example: 14
                                                      music_genre_name:
                                                        type: string
                                                        example: Pop
                                                      music_genre_name_extended:
                                                        type: string
                                                        example: Pop
                                                      music_genre_parent_id:
                                                        type: number
                                                        example: 34
                                                      music_genre_vanity:
                                                        type: string
                                                        example: Pop
                                              example:
                                                - music_genre:
                                                    music_genre_id: 14
                                                    music_genre_name: Pop
                                                    music_genre_name_extended: Pop
                                                    music_genre_parent_id: 34
                                                    music_genre_vanity: Pop
                                        restricted:
                                          type: number
                                          example: 0
                                        track_edit_url:
                                          type: string
                                          example: >-
                                            https://www.musixmatch.com/lyrics/Music-Maverick/Starlight/edit?utm_source=application&utm_campaign=api&utm_medium=individual%3A1409626377500
                                        track_id:
                                          type: number
                                          example: 35857643
                                        track_isrc:
                                          type: string
                                          example: GBW371201379
                                        track_length:
                                          type: number
                                          example: 0
                                        track_name:
                                          type: string
                                          example: starlight
                                        track_rating:
                                          type: number
                                          example: 1
                                        track_share_url:
                                          type: string
                                          example: >-
                                            https://www.musixmatch.com/lyrics/Music-Maverick/Starlight?utm_source=application&utm_campaign=api&utm_medium=individual%3A1409626377500
                                        track_spotify_id:
                                          type: string
                                          example: ''
                                        updated_time:
                                          type: string
                                          example: '2015-07-08T21:06:21Z'
                                example:
                                  - similarity: 99.236641221374
                                    track:
                                      album_coverart_100x100: >-
                                        http://s.mxmcdn.net/images-storage/albums/nocover.png
                                      album_coverart_350x350: ''
                                      album_coverart_500x500: ''
                                      album_coverart_800x800: ''
                                      album_id: 18825722
                                      album_name: Starlight
                                      artist_id: 24675514
                                      artist_name: Music Maverick
                                      commontrack_id: 35857643
                                      commontrack_isrcs:
                                        - - GBW371201379
                                      explicit: 0
                                      has_lyrics: 1
                                      has_richsync: 0
                                      has_subtitles: 1
                                      instrumental: 0
                                      num_favourite: 0
                                      primary_genres:
                                        music_genre_list:
                                          - music_genre:
                                              music_genre_id: 14
                                              music_genre_name: Pop
                                              music_genre_name_extended: Pop
                                              music_genre_parent_id: 34
                                              music_genre_vanity: Pop
                                      restricted: 0
                                      track_edit_url: >-
                                        https://www.musixmatch.com/lyrics/Music-Maverick/Starlight/edit?utm_source=application&utm_campaign=api&utm_medium=individual%3A1409626377500
                                      track_id: 35857643
                                      track_isrc: GBW371201379
                                      track_length: 0
                                      track_name: starlight
                                      track_rating: 1
                                      track_share_url: >-
                                        https://www.musixmatch.com/lyrics/Music-Maverick/Starlight?utm_source=application&utm_campaign=api&utm_medium=individual%3A1409626377500
                                      track_spotify_id: ''
                                      updated_time: '2015-07-08T21:06:21Z'
                                  - similarity: 99.236641221374
                                    track:
                                      album_coverart_100x100: >-
                                        http://s.mxmcdn.net/images-storage/albums/nocover.png
                                      album_coverart_350x350: ''
                                      album_coverart_500x500: ''
                                      album_coverart_800x800: ''
                                      album_id: 47387431
                                      album_name: Red (Taylor's Version)
                                      artist_id: 259675
                                      artist_name: Taylor Swift
                                      commontrack_id: 135756858
                                      commontrack_isrcs:
                                        - - USUG12103675
                                      explicit: 0
                                      has_lyrics: 1
                                      has_richsync: 1
                                      has_subtitles: 1
                                      instrumental: 0
                                      num_favourite: 16
                                      primary_genres:
                                        music_genre_list:
                                          - music_genre:
                                              music_genre_id: 14
                                              music_genre_name: Pop
                                              music_genre_name_extended: Pop
                                              music_genre_parent_id: 34
                                              music_genre_vanity: Pop
                                      restricted: 0
                                      track_edit_url: >-
                                        https://www.musixmatch.com/lyrics/Taylor-Swift/Starlight-Taylor-s-Version/edit?utm_source=application&utm_campaign=api&utm_medium=individual%3A1409626377500
                                      track_id: 135756858
                                      track_isrc: USUG12103675
                                      track_length: 0
                                      track_name: starlight (taylor's version)
                                      track_rating: 60
                                      track_share_url: >-
                                        https://www.musixmatch.com/lyrics/Taylor-Swift/Starlight-Taylor-s-Version?utm_source=application&utm_campaign=api&utm_medium=individual%3A1409626377500
                                      track_spotify_id: 7A2cNLRT0YJc1yjxHlKihs
                                      updated_time: '2021-11-16T05:26:09Z'
                                  - similarity: 99.236641221374
                                    track:
                                      album_coverart_100x100: >-
                                        http://s.mxmcdn.net/images-storage/albums/nocover.png
                                      album_coverart_350x350: ''
                                      album_coverart_500x500: ''
                                      album_coverart_800x800: ''
                                      album_id: 23569539
                                      album_name: The Cabin Light Inside The Spaceship
                                      artist_id: 24587516
                                      artist_name: Dave Johnson
                                      commontrack_id: 61388415
                                      commontrack_isrcs:
                                        - - USCGH0834928
                                          - USX9P2302319
                                      explicit: 0
                                      has_lyrics: 1
                                      has_richsync: 0
                                      has_subtitles: 1
                                      instrumental: 0
                                      num_favourite: 0
                                      primary_genres:
                                        music_genre_list:
                                          - music_genre:
                                              music_genre_id: 7
                                              music_genre_name: Electronic
                                              music_genre_name_extended: Electronic
                                              music_genre_parent_id: 34
                                              music_genre_vanity: Electronic
                                      restricted: 0
                                      track_edit_url: >-
                                        https://www.musixmatch.com/lyrics/Dave-Johnson-2/Scrambled-Meggs/edit?utm_source=application&utm_campaign=api&utm_medium=individual%3A1409626377500
                                      track_id: 61388415
                                      track_isrc: USCGH0834928
                                      track_length: 0
                                      track_name: scrambled meggs
                                      track_rating: 1
                                      track_share_url: >-
                                        https://www.musixmatch.com/lyrics/Dave-Johnson-2/Scrambled-Meggs?utm_source=application&utm_campaign=api&utm_medium=individual%3A1409626377500
                                      track_spotify_id: 3KEUSpjt8wW3lpXb8LQqeG
                                      updated_time: '2019-04-15T00:48:17Z'
                          - type: array
                            items: {}
                            example: []
                          - type: array
                            items: {}
                            example: []
                      header:
                        type: object
                        properties:
                          execute_time:
                            type: number
                            example: 0.10180687904358
                          hint:
                            type: string
                            example: Missing text property in body
                          status_code:
                            type: number
                            example: 200
              examples:
                200 OK:
                  value:
                    message:
                      body:
                        track_list:
                          - similarity: 99.236641221374
                            track:
                              album_coverart_100x100: >-
                                http://s.mxmcdn.net/images-storage/albums/nocover.png
                              album_coverart_350x350: ''
                              album_coverart_500x500: ''
                              album_coverart_800x800: ''
                              album_id: 18825722
                              album_name: Starlight
                              artist_id: 24675514
                              artist_name: Music Maverick
                              commontrack_id: 35857643
                              commontrack_isrcs:
                                - - GBW371201379
                              explicit: 0
                              has_lyrics: 1
                              has_richsync: 0
                              has_subtitles: 1
                              instrumental: 0
                              num_favourite: 0
                              primary_genres:
                                music_genre_list:
                                  - music_genre:
                                      music_genre_id: 14
                                      music_genre_name: Pop
                                      music_genre_name_extended: Pop
                                      music_genre_parent_id: 34
                                      music_genre_vanity: Pop
                              restricted: 0
                              track_edit_url: >-
                                https://www.musixmatch.com/lyrics/Music-Maverick/Starlight/edit?utm_source=application&utm_campaign=api&utm_medium=individual%3A1409626377500
                              track_id: 35857643
                              track_isrc: GBW371201379
                              track_length: 0
                              track_name: starlight
                              track_rating: 1
                              track_share_url: >-
                                https://www.musixmatch.com/lyrics/Music-Maverick/Starlight?utm_source=application&utm_campaign=api&utm_medium=individual%3A1409626377500
                              track_spotify_id: ''
                              updated_time: '2015-07-08T21:06:21Z'
                          - similarity: 99.236641221374
                            track:
                              album_coverart_100x100: >-
                                http://s.mxmcdn.net/images-storage/albums/nocover.png
                              album_coverart_350x350: ''
                              album_coverart_500x500: ''
                              album_coverart_800x800: ''
                              album_id: 47387431
                              album_name: Red (Taylor's Version)
                              artist_id: 259675
                              artist_name: Taylor Swift
                              commontrack_id: 135756858
                              commontrack_isrcs:
                                - - USUG12103675
                              explicit: 0
                              has_lyrics: 1
                              has_richsync: 1
                              has_subtitles: 1
                              instrumental: 0
                              num_favourite: 16
                              primary_genres:
                                music_genre_list:
                                  - music_genre:
                                      music_genre_id: 14
                                      music_genre_name: Pop
                                      music_genre_name_extended: Pop
                                      music_genre_parent_id: 34
                                      music_genre_vanity: Pop
                              restricted: 0
                              track_edit_url: >-
                                https://www.musixmatch.com/lyrics/Taylor-Swift/Starlight-Taylor-s-Version/edit?utm_source=application&utm_campaign=api&utm_medium=individual%3A1409626377500
                              track_id: 135756858
                              track_isrc: USUG12103675
                              track_length: 0
                              track_name: starlight (taylor's version)
                              track_rating: 60
                              track_share_url: >-
                                https://www.musixmatch.com/lyrics/Taylor-Swift/Starlight-Taylor-s-Version?utm_source=application&utm_campaign=api&utm_medium=individual%3A1409626377500
                              track_spotify_id: 7A2cNLRT0YJc1yjxHlKihs
                              updated_time: '2021-11-16T05:26:09Z'
                          - similarity: 99.236641221374
                            track:
                              album_coverart_100x100: >-
                                http://s.mxmcdn.net/images-storage/albums/nocover.png
                              album_coverart_350x350: ''
                              album_coverart_500x500: ''
                              album_coverart_800x800: ''
                              album_id: 23569539
                              album_name: The Cabin Light Inside The Spaceship
                              artist_id: 24587516
                              artist_name: Dave Johnson
                              commontrack_id: 61388415
                              commontrack_isrcs:
                                - - USCGH0834928
                                  - USX9P2302319
                              explicit: 0
                              has_lyrics: 1
                              has_richsync: 0
                              has_subtitles: 1
                              instrumental: 0
                              num_favourite: 0
                              primary_genres:
                                music_genre_list:
                                  - music_genre:
                                      music_genre_id: 7
                                      music_genre_name: Electronic
                                      music_genre_name_extended: Electronic
                                      music_genre_parent_id: 34
                                      music_genre_vanity: Electronic
                              restricted: 0
                              track_edit_url: >-
                                https://www.musixmatch.com/lyrics/Dave-Johnson-2/Scrambled-Meggs/edit?utm_source=application&utm_campaign=api&utm_medium=individual%3A1409626377500
                              track_id: 61388415
                              track_isrc: USCGH0834928
                              track_length: 0
                              track_name: scrambled meggs
                              track_rating: 1
                              track_share_url: >-
                                https://www.musixmatch.com/lyrics/Dave-Johnson-2/Scrambled-Meggs?utm_source=application&utm_campaign=api&utm_medium=individual%3A1409626377500
                              track_spotify_id: 3KEUSpjt8wW3lpXb8LQqeG
                              updated_time: '2019-04-15T00:48:17Z'
                      header:
                        execute_time: 0.10180687904358
                        status_code: 200
                400 Bad Request:
                  value:
                    message:
                      body: []
                      header:
                        execute_time: 0.0095078945159912
                        hint: Missing text property in body
                        status_code: 400
                403 Forbidden:
                  value:
                    message:
                      body: []
                      header:
                        execute_time: 0.048342943191528
                        hint: Forbidden
                        status_code: 403
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: apikey
      in: query

````